Package org.opensaml.xmlsec.encryption

# Interface KeyReference

All Superinterfaces:
  `ElementExtensibleXMLObject`, `ReferenceType`, `XMLObject`

All Known Implementing Classes:
  `KeyReferenceImpl`

public interface KeyReference extends ReferenceType
XMLObject representing XML Encryption, version 20021210, KeyReference element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.

### Fields inherited from interface org.opensaml.xmlsec.encryption.ReferenceType

`TYPE_LOCAL_NAME, TYPE_NAME, URI_ATTRIB_NAME`

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.xmlsec.encryption.ReferenceType

`getURI, setURI`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.